; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.



(define (script-fu-copy-layer-iteration image layer iterations)
  (gimp-image-undo-group-start image)
  (while (> iterations 0)
    (begin
      (let ((copy (car (gimp-layer-copy layer FALSE))))
        (gimp-image-insert-layer image copy 0 -1)
      )
    )
    (set! iterations (- iterations 1))
  )
  (gimp-image-undo-group-end image)
  (gimp-displays-flush)
)

(script-fu-register
  "script-fu-copy-layer-iteration"
  "<Layers>/Duplikuj warstwę x-krotnie"
  "Copy layer multiple"
  "MareroQ"
  "GPL"
  "2015"
  "RGB*, RGBA*, GRAY*"
  SF-IMAGE    "image" 0
  SF-DRAWABLE "layer" 0
  SF-ADJUSTMENT "Liczba kopii warstwy:" '(1 1 100 1 10 0 1)
)